Index: apps/app_externalivr.c
===================================================================
--- apps/app_externalivr.c	(revision 43247)
+++ apps/app_externalivr.c	(working copy)
@@ -322,7 +322,7 @@
 			close(i);
 		execv(argv[0], argv);
 		fprintf(stderr, "Failed to execute '%s': %s\n", argv[0], strerror(errno));
-		exit(1);
+		_exit(1);
 	} else {
 		/* parent process */
 		int child_events_fd = child_stdin[1];
Index: main/asterisk.c
===================================================================
--- main/asterisk.c	(revision 43247)
+++ main/asterisk.c	(working copy)
@@ -711,7 +711,7 @@
 		for (x = STDERR_FILENO + 1; x < 4096; x++)
 			close(x);
 		execl("/bin/sh", "/bin/sh", "-c", s, (char *) NULL);
-		exit(1);
+		_exit(1);
 	} else if (pid > 0) {
 		for(;;) {
 			res = wait4(pid, &status, 0, &rusage);
Index: res/res_agi.c
===================================================================
--- res/res_agi.c	(revision 43247)
+++ res/res_agi.c	(working copy)
@@ -318,7 +318,7 @@
 		/* unblock important signal handlers */
 		if (sigfillset(&signal_set) || pthread_sigmask(SIG_UNBLOCK, &signal_set, NULL)) {
 			ast_log(LOG_WARNING, "unable to unblock signals for AGI script: %s\n", strerror(errno));
-			exit(1);
+			_exit(1);
 		}
 
 		/* Close everything but stdin/out/error */
@@ -330,7 +330,7 @@
 		/* Can't use ast_log since FD's are closed */
 		fprintf(stdout, "verbose \"Failed to execute '%s': %s\" 2\n", script, strerror(errno));
 		fflush(stdout);
-		exit(1);
+		_exit(1);
 	}
 	if (option_verbose > 2) 
 		ast_verbose(VERBOSE_PREFIX_3 "Launched AGI Script %s\n", script);
Index: res/res_musiconhold.c
===================================================================
--- res/res_musiconhold.c	(revision 43247)
+++ res/res_musiconhold.c	(working copy)
@@ -461,7 +461,7 @@
 		}
 		ast_log(LOG_WARNING, "Exec failed: %s\n", strerror(errno));
 		close(fds[1]);
-		exit(1);
+		_exit(1);
 	} else {
 		/* Parent */
 		close(fds[1]);
